<div class="sites-create">
    <div class="row">
        <div class="col-md-12"> 
            <div class="card mb-3">
                <div class="card-header">
                   Create a New Site
                    <div [hidden]="!showSpinner">
                        <app-spinner></app-spinner>
                    </div>
                </div>
                <div class="card-body">
                    <div class="form-content">
                        <div [hidden]="hideAccountSelect" class="form-group">
                            <select class="form-control input-sm input-underline" placeholder="Select Account..." #accountsFilter>
                                <option value="" disabled>Select Account</option>
                                <option *ngFor="let item of accountsList" [value]="item.Id">{{ item.Name }}</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <input type="text" [(ngModel)]="model.Name" class="form-control input-underline input-sm" placeholder="Name">
                        </div>
                        <div class="form-group">
                            <input type="text" [(ngModel)]="model.Address" class="form-control input-underline input-sm" placeholder="Address">
                        </div>
                          <div class="form-group">
                            <input type="text" [(ngModel)]="model.City" class="form-control input-underline input-sm" placeholder="City">
                        </div>
                        <div class="form-group">
                            <input type="text" [(ngModel)]="model.PostalCode" class="form-control input-underline input-sm" placeholder="Postal Code">
                        </div>
                         <div class="form-group">
                            <textarea [(ngModel)]="model.AdditionalLocationInfo" class="form-control input-underline input-sm" placeholder="Additional Location Information"></textarea>
                        </div>
                        <div class="form-group">
                            <input type="text" [(ngModel)]="model.PhoneNumber" class="form-control input-underline input-sm" placeholder="Phone Number">
                        </div>
                        <div class="form-group">
                            <input type="text" [(ngModel)]="model.FaxNumber" class="form-control input-underline input-sm" placeholder="Fax Number">
                        </div>
                        <div class="form-group">
                            <input type="text" [(ngModel)]="model.ContactPerson" class="form-control input-underline input-sm" placeholder="Contact Person">
                        </div>
                        <div class="form-group">
                            <input type="text" [(ngModel)]="model.ContactPersonNumber" class="form-control input-underline input-sm" placeholder="Contact Number">
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <button type="button" [disabled]="!model.Name || !model.Address" (click)="saveChanges()" class="btn btn-success rounded-btn"> Save </button>&nbsp;
                    <a class="btn btn-default rounded-btn" [routerLink]="['/objects']"> Cancel </a>
                </div>
            </div>
        </div>
    </div>
</div>
